.social {
  font-size: 0;
}

.share {
  overflow: hidden;
  padding-left: 5px;
}

.share .shareLinks {
  margin-left: -123px;
  -webkit-transition: all 0.4s linear;
  transition: all 0.4s linear;
}

.sprite {
  display: inline-block;
  width: 41px;
  height: 41px;
  box-sizing: border-box;
  padding-right: 5px;
}

.sprite.share {
  width: 51px;
}

.sprite a {
  display: inline-block;
  background: url("../images/sprite.png") no-repeat top center;
  background-size: 700% 100%;
  width: 41px;
  height: 41px;
}

.sprite .social_email {
  background-position: 0% 0;
}

.sprite .social_twitter {
  background-position: 16.66667% 0;
}

.sprite .social_facebook {
  background-position: 33.33333% 0;
}

.sprite .social_google {
  background-position: 50% 0;
}

.sprite .social_share {
  background-position: 66.66667% 0;
}

.sprite .social_pinterest {
  background-position: 83.33333% 0;
}

.sprite .social_instagram {
  background-position: 100% 0;
}

.shareLinksWrapper {
  position: relative;
  overflow: hidden;
  display: inline-block;
  height: 41px;
  width: 0;
  -webkit-transition: all 0.4s linear;
  transition: all 0.4s linear;
}

.share:hover .shareLinksWrapper, .social_share:active .shareLinksWrapper, .social_share:focus .shareLinksWrapper {
  width: 200px;
}

.share:hover .shareLinks, .social_share:active .shareLinks, .social_share:focus .shareLinks {
  margin-left: 0;
}
